module.exports = {
    "branches":   [
        "main"
    ],
    "plugins":    [
        "@semantic-release/commit-analyzer",
        [
            "@semantic-release/release-notes-generator",
            {
                "linkCompare":    true,
                "linkReferences": true,
                "writerOpts":     {
                    "groupBy":          "type",
                    "commitGroupsSort": "title",
                    "commitsSort":      "header"
                }
            }
        ],
        [
            "@semantic-release/changelog",
            {
                "changelogFile": "CHANGELOG.md"
            }
        ],
        [
            "@semantic-release/git",
            {
                "message": "chore(release): ${nextRelease.version}",
                "assets":  [
                    "CHANGELOG.md"
                ]
            }
        ],
        [
            "@saithodev/semantic-release-gitea",
            {
            }
        ]
    ],
    "preset":     "conventionalcommits",
    "parserOpts": {
        "issuePrefixes":  [
            "#"
        ],
        "issueUrlFormat": "${PROJECT_URL}/issues/{{id}}"
    }
}
